org.apache.sling.maven.projectsupport.bundlelist.v1_0_0

## Class Bundle

- java.lang.Object
- - org.apache.sling.maven.projectsupport.bundlelist.BaseBundle
  - - org.apache.sling.maven.projectsupport.bundlelist.v1_0_0.Bundle

All Implemented Interfaces:
  Serializable

    public class Bundle
    extends BaseBundle
    implements Serializable

A bundle.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Bundle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getArtifactId()` Get the artifactId field.
`String` `getClassifier()` Get the classifier field.
`String` `getGroupId()` Get the groupId field.
`String` `getRunModes()` Get the runModes field.
`int` `getStartLevel()` Get the startLevel field.
`String` `getType()` Get the type field.
`String` `getVersion()` Get the version field.
`void` `setArtifactId(String artifactId)` Set the artifactId field.
`void` `setClassifier(String classifier)` Set the classifier field.
`void` `setGroupId(String groupId)` Set the groupId field.
`void` `setRunModes(String runModes)` Set the runModes field.
`void` `setStartLevel(int startLevel)` Set the startLevel field.
`void` `setType(String type)` Set the type field.
`void` `setVersion(String version)` Set the version field.

### Methods inherited from class org.apache.sling.maven.projectsupport.bundlelist.BaseBundle

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Bundle

    public Bundle()

### Method Detail

#### getArtifactId

    public String getArtifactId()

Get the artifactId field.

Specified by:
  `getArtifactId` in class `BaseBundle`
Returns:
  String

#### getClassifier

    public String getClassifier()

Get the classifier field.

Specified by:
  `getClassifier` in class `BaseBundle`
Returns:
  String

#### getGroupId

    public String getGroupId()

Get the groupId field.

Specified by:
  `getGroupId` in class `BaseBundle`
Returns:
  String

#### getRunModes

    public String getRunModes()

Get the runModes field.

Returns:
  String

#### getStartLevel

    public int getStartLevel()

Get the startLevel field.

Specified by:
  `getStartLevel` in class `BaseBundle`
Returns:
  int

#### getType

    public String getType()

Get the type field.

Specified by:
  `getType` in class `BaseBundle`
Returns:
  String

#### getVersion

    public String getVersion()

Get the version field.

Specified by:
  `getVersion` in class `BaseBundle`
Returns:
  String

#### setArtifactId

    public void setArtifactId(String artifactId)

Set the artifactId field.

Parameters:
  `artifactId` -

#### setClassifier

    public void setClassifier(String classifier)

Set the classifier field.

Parameters:
  `classifier` -

#### setGroupId

    public void setGroupId(String groupId)

Set the groupId field.

Parameters:
  `groupId` -

#### setRunModes

    public void setRunModes(String runModes)

Set the runModes field.

Parameters:
  `runModes` -

#### setStartLevel

    public void setStartLevel(int startLevel)

Set the startLevel field.

Parameters:
  `startLevel` -

#### setType

    public void setType(String type)

Set the type field.

Parameters:
  `type` -

#### setVersion

    public void setVersion(String version)

Set the version field.

Parameters:
  `version` -